ITK-SNAP README
-----------------

### Welcome!

Thank you for your interest in ITK-SNAP! By using this program you are joining
an ever growing community of users from research labs around the world.
ITK-SNAP is an open-source software application made possible by the
committment of dedicated developers, who often make contributions on a
volunteer basis. Original development of ITK-SNAP was supported by the U.S.
National Library of Medicine through PO 467-MZ-202446-1. Subsequent
development of ITK-SNAP version 2.0 has been supported by the U.S. National
Institute of Biomedical Imaging and BioEngineering and the NIH Blueprint for
Neuroscience through grant 1 R03 EB008200-01. Development of ITK-SNAP versions
3.0 - 3.6 has been supported by the NIH grant 1R01 EB014346. 

ITK-SNAP is the result of over 15 years of work by many researchers, software
engineers and students. Please visit the [Credits page](http:/itksnap.org/credits.php) 
to learn about the team that made ITK-SNAP possible!

### Please remember to cite ITK-SNAP

Citations in published work is the best way for us to gauge ITK-SNAP impact.
As of the Fall of 2016, ITK-SNAP has been cited by [over 2000 papers](https://goo.gl/YoM9EK). 
If you use ITK-SNAP for a publication, please cite the paper below.

* Paul A. Yushkevich, Joseph Piven, Heather Cody Hazlett, Rachel Gimpel Smith,
  Sean Ho, James C. Gee, and Guido Gerig. User-guided 3D active contour
  segmentation of anatomical structures: Significantly improved efficiency and
  reliability. Neuroimage. 2006 Jul 1; 31(3):1116-28. 

### Getting Started 

ITK-SNAP was designed for ease of use. There are several resources to get
started with it. 

*   If you downloaded ITK-SNAP as a binary executable from
    [itksnap.org](http://www.itksnap.org/download/snap), you can get started
    by reading the [online tutorials](http://www.itksnap.org/pmwiki/pmwiki.php?n=Documentation.HomePage).
*   If you downloaded ITK-SNAP source code, please follow these [online
    instructions](http://www.itksnap.org/pmwiki/pmwiki.php?n=Documentation.BuildingITK-SNAP)
    to compile and build ITK-SNAP.
*   You will need a 3D image to use this software. Images with which ITK-SNAP
    is known to work are found on the [ITK-SNAP download page](http://www.itksnap.org/download/snap)
*   There are also materials (images, exercises, video) from training courses
    available on the [documentation page](http://www.itksnap.org/pmwiki/pmwiki.php?n=Documentation.SNAP3). 

### Asking Questions

If you have a question about ITK-SNAP, here are the places where you may find an answer. Keep in mind that since ITK-SNAP in not a commercial product, it may take some time for an answer to arrive.

*   If you have an question about how to use SNAP or why it's not doing what
    it should, post in on the [ITK-SNAP Users' List](http://www.itksnap.org/pmwiki/pmwiki.php?n=MailingLists).
*   If you have a technical question or a questing related to ITK, join the 
    [ITK Users' Mailing List](http://www.itk.org/HTML/MailingLists.htm) and
    post your question there.

### Get Involved!

Your participation as a user, developer or sponsor is essential to ensuring a
bright future for ITK-SNAP. There are many ways in which you can contribute to
the stability and quality of this program:

*   By participating in the [ITK-SNAP User and Developer Mailing Lists](http://www.itksnap.org/pmwiki/pmwiki.php?n=MailingLists).
*   By reporting bugs and suggesting enhancements using the [Bug Tracker](http://www.itksnap.org/pmwiki/pmwiki.php?n=Main.BugTracker).
*   By joining the ITK-SNAP Development Team on [SourceForge.net](http://sourceforge.net/projects/itk-snap) and contributing source code.

